function setup()
	actor.name = "Beatrix"
	actor.portrait = "beatrix"
	actor.repairCost = 150
	actor.repairTime = 4
	
	--battle dialogue
	actor.addMessage("BEATRIX: Alas, the Hunter has become the Hunted. A helping hand would be greatly appreciated.", "", 0, 1)
	
	--saved dialogue
	actor.addMessage("BEATRIX: Many thanks. I was tracking a herd of biscuitfish when those pests interrupted the chase." , "", 5)
	actor.addMessage("IT IS MY MISSION TO COLLECT HUMAN SURVIVORS" , "stolenrobot", 5)
	actor.addMessage("BEATRIX: And I am a survivor indeed. Allow me and my lovelies to aid you on your quest.", "", 5)

	actor.addEvent("boss_beatrix", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("zukhov", 1, 0, "BEATRIX", "survivor", 1)
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	actor.addWave("mite", 12, 0, "", "claws_nice", 1)
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_beasts", 5)
	
	--displayname co-opted as the description
	actor.displayName = "Tracing fine lines about her skin is a network of electronics that allows her to “communicate” with beasts."
	
	--click dialogue
	actor.addClickText("Forging bonds between wildly different organisms is no small feat.")
	actor.addClickText("Perhaps I'll find the herd again. It is biscuitfish season, after all.")
	actor.addClickText("Ha! My biscuitfish friend just told me a most excellent jest!")
	actor.addClickText("Have you heard the one about the perfumed gasbag?")
	actor.addClickText("Ours is a harmonious union, a contesseration of beasts.")
	actor.addClickText("Let us continue our travels through the wine-dark sea of space.")
	actor.addClickText("Begone, you muricate brute!")
	actor.addClickText("I say thee nay, villain!")
	
	
	
end